# docker_node_info – Retrieves facts about docker swarm node from Swarm Manager

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Retrieves facts about a docker node.

- Essentially returns the output of `docker node inspect <name>`.

- Must be executed on a host running as Swarm Manager, otherwise the module will fail.

## Requirements

The below requirements are needed on the host that executes this module.

- Docker API >= 1.24

- Docker SDK for Python: Please note that the docker-py Python module has been superseded by docker (see here for details). For Python 2.6, `docker-py` must be used. Otherwise, it is recommended to install the `docker` Python module. Note that both modules should not be installed at the same time. Also note that when both modules are installed and one of them is uninstalled, the other might no longer function and a reinstall of it is required.

- Docker SDK for Python >= 2.4.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

api_version
string

Default:
"auto"

The version of the Docker API running on the Docker Host.
Defaults to the latest version of the API supported by Docker SDK for Python and the docker daemon.
If the value is not specified in the task, the value of environment variable `DOCKER_API_VERSION` will be used instead. If the environment variable is not set, the default value will be used.
aliases: docker_api_version

ca_cert path |  | Use a CA certificate when performing server verification by providing the path to a CA certificate file. If the value is not specified in the task and the environment variable `DOCKER_CERT_PATH` is set, the file `ca.pem` from the directory specified in the environment variable `DOCKER_CERT_PATH` will be used. aliases: tls_ca_cert, cacert_path
client_cert path |  | Path to the client's TLS certificate file. If the value is not specified in the task and the environment variable `DOCKER_CERT_PATH` is set, the file `cert.pem` from the directory specified in the environment variable `DOCKER_CERT_PATH` will be used. aliases: tls_client_cert, cert_path
client_key path |  | Path to the client's TLS key file. If the value is not specified in the task and the environment variable `DOCKER_CERT_PATH` is set, the file `key.pem` from the directory specified in the environment variable `DOCKER_CERT_PATH` will be used. aliases: tls_client_key, key_path

debug
boolean

Choices:
- no ←
- yes

Debug mode

docker_host
string

Default:
"unix://var/run/docker.sock"

The URL or Unix socket path used to connect to the Docker API. To connect to a remote host, provide the TCP connection string. For example, `tcp://192.0.2.23:2376`. If TLS is used to encrypt the connection, the module will automatically replace `tcp` in the connection URL with `https`.
If the value is not specified in the task, the value of environment variable `DOCKER_HOST` will be used instead. If the environment variable is not set, the default value will be used.
aliases: docker_url

name list / elements=string |  | The name of the node to inspect. The list of nodes names to inspect. If empty then return information of all nodes in Swarm cluster. When identifying the node use either the hostname of the node (as registered in Swarm) or node ID. If self is `true` then this parameter is ignored.

self
boolean

Choices:
- no ←
- yes

If `true`, queries the node (i.e. the docker daemon) the module communicates with.
If `true` then name is ignored.
If `false` then query depends on name presence and value.

ssl_version string |  | Provide a valid SSL version number. Default value determined by ssl.py module. If the value is not specified in the task, the value of environment variable `DOCKER_SSL_VERSION` will be used instead.
timeout integer | Default: 60 | The maximum amount of time in seconds to wait on a response from the API. If the value is not specified in the task, the value of environment variable `DOCKER_TIMEOUT` will be used instead. If the environment variable is not set, the default value will be used.

tls
boolean

Choices:
- no ←
- yes

Secure the connection to the API by using TLS without verifying the authenticity of the Docker host server. Note that if validate_certs is set to `yes` as well, it will take precedence.
If the value is not specified in the task, the value of environment variable `DOCKER_TLS` will be used instead. If the environment variable is not set, the default value will be used.

tls_hostname string | Default: "localhost" | When verifying the authenticity of the Docker Host server, provide the expected name of the server. If the value is not specified in the task, the value of environment variable `DOCKER_TLS_HOSTNAME` will be used instead. If the environment variable is not set, the default value will be used.

validate_certs
boolean

Choices:
- no ←
- yes

Secure the connection to the API by using TLS and verifying the authenticity of the Docker host server.
If the value is not specified in the task, the value of environment variable `DOCKER_TLS_VERIFY` will be used instead. If the environment variable is not set, the default value will be used.
aliases: tls_verify

## Notes

Note

- Connect to the Docker daemon by providing parameters with each task or by defining environment variables. You can define `DOCKER_HOST`, `DOCKER_TLS_HOSTNAME`, `DOCKER_API_VERSION`, `DOCKER_CERT_PATH`, `DOCKER_SSL_VERSION`, `DOCKER_TLS`, `DOCKER_TLS_VERIFY` and `DOCKER_TIMEOUT`. If you are using docker machine, run the script shipped with the product that sets up the environment. It will set these variables for you. See https://docs.docker.com/machine/reference/env/ for more details.

- When connecting to Docker daemon with TLS, you might need to install additional Python packages. For the Docker SDK for Python, version 2.4 or newer, this can be done by installing `docker[tls]` with pip.

- Note that the Docker SDK for Python only allows to specify the path to the Docker configuration for very few functions. In general, it will use `$HOME/.docker/config.json` if the `DOCKER_CONFIG` environment variable is not specified, and use `$DOCKER_CONFIG/config.json` otherwise.

## Examples

    - name: Get info on all nodes
      docker_node_info:
      register: result

    - name: Get info on node
      docker_node_info:
        name: mynode
      register: result

    - name: Get info on list of nodes
      docker_node_info:
        name:
          - mynode1
          - mynode2
      register: result

    - name: Get info on host if it is Swarm Manager
      docker_node_info:
        self: true
      register: result

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

nodes
list / elements=dictionary

always

Facts representing the current state of the nodes. Matches the `docker node inspect` output.
Can contain multiple entries if more than one node provided in name, or name is not provided.
If name contains a list of nodes, the output will provide information on all nodes registered at the swarm, including nodes that left the swarm but haven't been removed from the cluster on swarm managers and nodes that are unreachable.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Piotr Wojciechowski (@WojciechowskiPiotr)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.